<?php

/**
 * @file
 * Settings page for undisposable module.
 */


/**
 * form with settings for undisposable
 */
function undisposable_admin_settings() {
  // general settings
  $form['undisposable_general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );

  // input for API key
  $form['undisposable_general']['undisposable_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('API key'),
    '#size' => 32,
    '#description' => t('API key received by email after registering at <a href="http://www.block-disposable-email.com/">http://www.block-disposable-email.com/</a> (without the hashes #)'),
    '#default_value' => variable_get('undisposable_api_key', ''),
  );

  // TODOS
  // - logging settings
  // - how to react if service is not available

  return system_settings_form($form);
}
